/** example of berak point usage*/

@media (min-width: 1200px) {
  .header-block-brp1000px {
    height: 50px !important;
  }
}

@media (min-width: 1200px) {
  .welcome-text-brp1000px {
    position: relative;
    float: left;
    width: 65%;
    text-align: left !important;
    top: 20% !important;
    left: 2%;
  }
}

@media (min-width: 1200px) {
  .header-avatar-brp1000px {
    height: 170px !important;
    width: 170px !important;
    top: 15% !important;
    right: 2%;
    float: right;
    margin: initial;
  }
}

@media (min-width: 1200px) {
  .main-manu-container-brp1000px {
    height: 90vh !important;
  }
}

@media (min-width: 1200px) {
  .main-manu-item-container-brp1000px {
    width: 33% !important;
  }
}

@media (max-width: 700px) {
  .main-manu-item-container-brp500px {
    width: 100% !important;
  }
}

@media (min-width: 1200px) {
  .clear-fix-brp1000px {
    display: block !important;
  }
}

html,
body,
div,
span,
applet,
object,
iframe,
h1,
h2,
h3,
h4,
h5,
h6,
p,
blockquote,
pre,
a,
abbr,
acronym,
address,
big,
cite,
code,
del,
dfn,
em,
img,
ins,
kbd,
q,
s,
samp,
small,
strike,
strong,
sub,
sup,
tt,
var,
b,
u,
i,
center,
dl,
dt,
dd,
ol,
ul,
li,
fieldset,
form,
label,
legend,
table,
caption,
tbody,
tfoot,
thead,
tr,
th,
td,
article,
aside,
canvas,
details,
embed,
figure,
figcaption,
footer,
header,
hgroup,
menu,
nav,
output,
ruby,
section,
summary,
time,
mark,
audio,
video {
  margin: 0;
  padding: 0;
  border: 0;
  font-size: 100%;
  font: inherit;
  vertical-align: baseline;
}

/* HTML5 display-role reset for older browsers */

article,
aside,
details,
figcaption,
figure,
footer,
header,
hgroup,
menu,
nav,
section {
  display: block;
}

body {
  line-height: 1;
}

ol,
ul {
  list-style: none;
}

blockquote,
q {
  quotes: none;
}

blockquote:before,
blockquote:after,
q:before,
q:after {
  content: '';
  content: none;
}

table {
  border-collapse: collapse;
  border-spacing: 0;
}

/* link default style */

a,
a:active,
a:hover,
a:visited {
  color: #fff;
  text-decoration: none;
}

a:active,
a:hover {
  color: #fff;
}

.u_float-left {
  float: left;
}

.u_float-right {
  float: right;
}

.u_margin-auto {
  margin: auto;
}

.u_color-black {
  color: #000;
}

.u_width-100pct {
  width: 100%;
}

.u_width-50pct {
  width: 50%;
}

.u_height_100perc {
  height: 100%;
}

.u_margin_all_20 {
  margin: 20px;
}

.u_main-line-text {
  font-weight: 600;
  font-size: 1.5rem;
}

.u_font-color_white {
  color: #fff;
}

.u_fill-red {
  fill: #962c02;
}

.padding-all {
  padding: 10px;
}

.absolute_null {
  position: absolute;
  bottom: 0;
  right: 0;
}

.clear-fix:after,
.clear-fix:before {
  content: " ";
  display: table;
  height: 0;
  overflow: hidden;
}

.clear-fix:after {
  clear: both;
}

.portfolio_item-container {
  display: block;
  width: 80%;
  margin-top: 50px;
  margin-bottom: 50px;
  float: left;
  margin-left: 10%;
  height: 520px;
  overflow: hidden;
  border: 2px solid gray;
  border-radius: 0px 30px;
}

.portfolio_item-image {
  display: block;
  width: 60%;
  height: 100%;
}

.imgInfoText {
  padding: 10px;
  width: 40%;
  display: block;
  height: 100%;
}

.backtoBtn,
.homeIndex,
.homeIndexRow2 {
  position: absolute;
  left: 10px;
  z-index: 1000;
  color: white;
  font-size: 1rem;
  opacity: 0.5;
  text-decoration: none;
}

.homeIndex {
  top: 10px;
}

.homeIndexRow2 {
  top: 25px;
}

.homeIndex:hover {
  opacity: 1;
}

.u_about_margin_left {
  margin-left: 7%;
}

.u_margin-top15pcx {
  margin-top: 15px;
}

.u_overflow-hedden {
  overflow-y: hidden;
}

.u_brand-container-width {
  width: 88%;
}

.u_width16perc {
  width: 16% !important;
}

ul {
  list-style-type: circle;
}

li {
  margin-left: 25px;
}

.about_avatar {
  position: absolute;
  top: 10px;
  right: 80px;
  width: 10vw;
  height: 10vw;
  background-image: url("/mojsajt/public/images/about/avatar500px.jpg");
  background-size: 100%;
  border-radius: 50%;
}

.about_me_text {
  width: 76%;
  margin-top: 10px;
}

.u_margin-bottom10px {
  margin-bottom: 10px;
}

.onetehnology {
  width: 50%;
  float: left;
  height: 230px;
  padding: 5px;
  border-right: 1px solid red;
}

.onetehnology:last-of-type {
  border-right: none;
}

@media (min-width: 1200px) {
  .onetehnology-brp1000px {
    width: 25% !important;
  }
}

.web_tehnologies-logos {
  width: 100%;
  float: left;
  height: 300px;
  padding: 5px;
}

.brand-logo {
  width: 30%;
  float: left;
  margin-right: 10px;
}

.brand-logo-web {
  width: 8%;
  float: left;
  margin-right: 10px;
}

.about_edit_category_container {
  display: block;
  width: 80%;
  margin-top: 50px;
  margin-bottom: 50px;
  float: left;
  margin-left: 10%;
  overflow: hidden;
  border: 2px solid gray;
  border-radius: 0px 30px;
}

.addContent {
  padding: 5vw;
}

.myadmin_heder {
  padding: 3px;
  height: 30px;
  background-color: lightgray;
}

.myadmin_edit_category_container {
  display: block;
  width: 80%;
  margin-top: 5px;
  margin-bottom: 5px;
  float: left;
  margin-left: 10%;
  overflow: hidden;
  border: 2px solid gray;
  border-radius: 5px;
}

.myadmin_header-label {
  float: left;
  width: 80%;
}

.myadmin__section {
  padding: 0px;
  height: 0px;
}

.myadmin__section--is-open {
  height: auto;
  padding: 10px;
}

.myadmin_oneitem_for_edit {
  border: 2px solid lightgray;
  padding: 3px;
  margin-bottom: 5px;
  position: relative;
}

.dislplayNone {
  display: none;
}

.side_information {
  width: 30%;
  position: absolute;
  top: 0;
  right: 10px;
}

.delete-icon {
  position: absolute;
  bottom: 10px;
  right: 10px;
}

.delete-icon-svg {
  fill: "#000000";
}

.maincontent,
.devPortfolio_mainContent,
.main_content-container,
.main_content-container-list-images {
  width: 100%;
  overflow-y: scroll;
  overflow-x: hidden;
  display: block;
  padding: 10px;
}

.devPortfolio_mainContent {
  height: calc(100vh - 110px);
}

.devPortfolio_linkImage {
  display: block;
  float: left;
  width: 24%;
  height: 45%;
  border: gray solid 2px;
  margin-bottom: 15px;
  margin-left: 1%;
}

body {
  background: -webkit-gradient(linear, left top, left bottom, from(#336B87), to(#90AFC5));
  background: linear-gradient(#336B87, #90AFC5);
}

.header,
.main-page-header,
.main-page-header-portfolio {
  display: block;
  background-color: #2A3132;
}

.main-page-header {
  height: 50px;
}

.main-page-header-portfolio {
  height: 50px;
}

.main-page-welcome-word {
  color: #fff;
  text-align: center;
  position: relative;
  top: 15%;
  font-size: 2rem;
}

.welcome-word {
  float: left;
  margin-left: 5vw;
}

.main-page-avatar {
  display: block;
  float: right;
  margin-right: 5px;
  top: 10px;
  margin: auto;
  width: 23vh;
  height: 25vh;
  background-color: gray;
}

.maincontent,
.devPortfolio_mainContent,
.main_content-container,
.main_content-container-list-images {
  width: 100%;
  overflow-y: scroll;
  overflow-x: hidden;
  display: block;
}

.main_content-container {
  height: calc(100vh - 110px);
}

.main_content-container-list-images {
  top: 10vh;
  height: calc(100vh - 110px);
}

.main-page-futer {
  display: block;
  position: absolute;
  bottom: 0px;
  height: 50px;
  width: 100%;
  background-color: #2A3132;
}

.futer-text-style {
  position: relative;
  top: 30%;
  left: 35%;
  float: left;
  width: 15%;
  color: #fff;
  font-size: 1.5rem;
}

.link-active {
  text-decoration: overline;
}

.chunk {
  margin-top: 10px;
}

.main-manu-item-container {
  position: relative;
  width: 49%;
  height: 43vh;
}

.main-mani-images {
  display: block;
  position: relative;
  top: 10%;
  margin: auto;
  width: 100%;
  height: 100%;
  background-color: gray;
}

.main-manu-item-label {
  display: none;
  pointer-events: none;
  width: 70%;
  left: 15%;
  height: 50%;
  background-color: #fff;
  text-align: center;
  position: absolute;
  bottom: -50%;
  font-size: 1.5rem;
  padding-top: 10px;
  opacity: 0;
  -webkit-transition: opacity 1s;
  transition: opacity 1s;
}

.main-mani-images:hover ~ .main-manu-item-label {
  opacity: 0.7;
  display: block;
  bottom: 0;
}

.main_meny_label_text {
  font-size: 2rem;
}

.portfolio_item-container {
  display: block;
}

.portfolio_about_header {
  padding: 3px 0 10px 0px;
  border-bottom: double darkgray 6px;
}

.portfolio_about_description {
  padding: 10px 0 0 0;
}

html {
  overflow: scroll;
  overflow-x: hidden;
}

::-webkit-scrollbar {
  width: 0px;
  /* remove scrollbar space */
  background: transparent;
  /* optional: just make scrollbar invisible */
}

/* optional: show position indicator in red */

::-webkit-scrollbar-thumb {
  background: #FF0000;
}

.mail-box {
  margin-top: 10vh;
  background-color: rgba(255, 255, 255, 0.3);
  padding: 15px;
}

.table_style {
  width: 50%;
}

.hidenlink {
  position: absolute;
  top: 0px;
  right: 0px;
  opacity: 0;
}


/*# sourceMappingURL=data:application/json;charset=utf-8;base64,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*/